using UnityEngine;
using System.Collections;

using UnityEngine.UI;

public class SetStatText : MonoBehaviour {
    Text txt;
	// Use this for initialization
	void Start () {
        txt = GetComponent<Text>();
        txt.text = "Final Statistics\n\nYou collected " + FoodCounter.meat + " pieces of meat\n\nYour trainer bestowed you the name: " + getName();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    string getName() {
        int meat = FoodCounter.meat;
        if (meat == 13) {
            return "Poophorn";
        }

        if (meat == 14) {
            return "BUTTZ";
        }

        if (meat == 15) {
            return "AAAAA";
        }

        if (meat == 16) {
            return "HORNY";
        }

        if (meat == 17) {
            return "PENCIL";
        }

        if (meat == 18) {
            return "BOBSUX";
        }

        if (meat == 19) {
            return "GARY";
        }

        if (meat == 20) {
            return "Moomba";
        }

        if (meat == 21) {
            return "SHOTS";
        }

        if (meat == 22) {
            return "DERPFACE";
        }

        if (meat == 23) {
            return "Mister Meeseeks";
        }

        if (meat == 24) {
            return "Riptor";
        }

        if (meat > 40) {
            return "BAD DAY?";
        }

        return "Trogdor";
    }
}
